//          File: edge.h
//        Author: Elena Machkasova
// Last Modified: April 25, 2001
//         Topic: Linked List Implementation of Graphs in C++

// The file contains declaration of the class Edge

#ifndef _EDGE_H
#define _EDGE_H

// forward declaration of the class Vertex
// needed to reslove cyclic dependency between the classes Vertex and Edge
class Vertex;

class Edge{
 public:
  Edge(Vertex *, Edge *, int);
  ~Edge();
  Vertex *getEnd();
  void print();
  Edge *getNext();
  int getWeight();

 private:
  Vertex *end;   // pointer to the end of the edge
  Edge *next;    // pointer to the next edge in the list of edges associated 
                 // with the vertex
  int weight;    // weight of the vertex
};

#endif
