//          File: vertex.h
//        Author: Elena Machkasova
// Last Modified: April 25, 2001
//         Topic: Linked List Implementation of Graphs in C++

// The file contains declaration of the class Vertex

#ifndef _VERTEX_H
#define _VERTEX_H

#include "edge.h"  // depends on the class Edge

class Vertex {
 public:
  Vertex(int, Vertex *);
  ~Vertex();
  int getData();
  void printEdges();
  void printGraph();
  void connectTo(Vertex *, int);
  Vertex *getNext();
  Edge *getFirstEdge();

 private:
  int data;     // stores data of the vertex
  Edge *edges;   // pointer to the list of outcoming edges of the vertex
  Vertex *next;  // pointer to the next vertex in the graph
};

#endif
